Bug 1294836 - error in drivers/gpu/drm/i915/intel_pm.c when I connect external monitor to VGA
error in drivers/gpu/drm/i915/intel_pm.c when I connect external monitor to VGA
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 10:14 EST by Torbjørn Lindahl
Modified: 2017-08-08 08:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (67.31 KB, text/plain)
2015-12-30 10:14 EST, Torbjørn Lindahl
no flags Details

  None (edit)
Description Torbjørn Lindahl 2015-12-30 10:14:31 EST
Created attachment 1110551 [details]
dmesg

Description of problem:

Every time I connect an external monitor to the VGA port of my laptop, or boot with it connected, I get this error. The system operates normally it seems for some time but eventually freezes.

Version-Release number of selected component (if applicable):

4.4.0-0.rc6.git1.2.fc24.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Connect a monitoro to VGA
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Torbjørn Lindahl 2016-01-04 09:37:34 EST
Updated:

If I log in before connecting VGA (currently using lightdm and cinnamon), and then plug my external monitor after DE has loaded, I don't get a kernel error. And the 2nd monitor seems to work, I can configure it using the DE's display tools.

If I log out with the monitor still connected, I get the kernel error.

If I boot the system without the VGA connected, to the graphical login, and then connect the monitor, I don't get a kernel error, and I see nothing on the monitor.

If I boot with the VGA connected, I get the error as before, really early, after 3-5 seconds.
Comment 2 Jan Kurik 2016-02-24 09:11:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:42:11 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:36:30 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.